commit:     1735a77829830d06694de600daf66c2e1e9e19f3
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 18 19:45:56 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Mar 18 19:46:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1735a778

sys-kernel/linux-firmware: fix src_unpack

Allow usage of upstream tags.

Bug: https://bugs.gentoo.org/713280
Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-kernel/linux-firmware/linux-firmware-20200316.ebuild | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/sys-kernel/linux-firmware/linux-firmware-20200316.ebuild 
b/sys-kernel/linux-firmware/linux-firmware-20200316.ebuild
index e42b02d3761..3e7ea3c45bb 100644
--- a/sys-kernel/linux-firmware/linux-firmware-20200316.ebuild
+++ b/sys-kernel/linux-firmware/linux-firmware-20200316.ebuild
@@ -84,7 +84,9 @@ src_unpack() {
        else
                default
                # rename directory from git snapshot tarball
-               mv ${PN}-*/ ${P} || die
+               if [[ ${#GIT_COMMIT} > 8 ]]; then
+                       mv ${PN}-*/ ${P} || die
+               fi
        fi
 }
 

Reply via email to